## watcher-dashboard 14.0.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD

=== debian/changelog ===
watcher-dashboard (14.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 08:47:57 -0700

watcher-dashboard (14.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 29 Sep 2025 08:32:56 -0700

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-horizon (>= 4:18.2.0),
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-nose-exclude,
 python3-openstackdocstheme (>= 2.2.1),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-watcherclient (>= 1.1.0),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher-dashboard
Homepage: https://opendev.org/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-horizon (>= 4:18.2.0),
 python3-httplib2,
 python3-keystoneclient,
 python3-pbr (>= 2.0.0),
 python3-watcherclient (>= 1.1.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=watcher-dashboard

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		python3 $(CURDIR)/manage.py test -v 2 \
			--settings=watcher_dashboard.test.settings \
			--exclude-tag integration \
			watcher_dashboard ;
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the watcher_dashboard plugin in Horizon
	mkdir -p $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/watcher_dashboard/local/enabled/_31*.py $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	# Install common files
	mkdir -p $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/watcher_dashboard/conf/* $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/conf

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/watcher-dashboard/ watcher_dashboard-(\d{1,2}\.\d.*)\.tar\.gz

## watcher-dashboard 14.0.0+git20251111.18.aaebb77

=== debian/changelog ===
watcher-dashboard (14.0.0+git20251111.18.aaebb77-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 14.0.0+git20251111.18.aaebb77
  * d/patches/*: refresh patches
  * New upstream snapshot from aaebb77ea7da21c01d8995784c2ba62b73643874
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 12:03:38 -0800

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/watcher-dashboard/ watcher_dashboard-(\d{1,2}\.\d.*)\.tar\.gz
